/**************************************************************************************
 **                                                                                  **
 **   Le Converleeter, créé par Moonlight Dreamer.                                   **
 **                                                                                  **
 **   ----------------------------------------------------------------------------   **
 **                                                                                  **
 **   Copyright (c) 2011 ANDRE Guillaume                                             **
 **   All rights reserved.                                                           **
 **                                                                                  **
 **   Redistribution and use in source and binary forms, with or                     **
 **   without modification, are permitted provided that the following                **
 **   conditions are met:                                                            **
 **                                                                                  **
 **   Redistributions of source code must retain the above copyright                 **
 **   notice, this list of conditions and the following disclaimer.                  **
 **   Redistributions in binary form must reproduce the above copyright              **
 **   notice, this list of conditions and the following disclaimer in                **
 **   the documentation and/or other materials provided with the distribution.       **
 **   Neither the name of the copyright holder nor the names of its                  **
 **   contributors may be used to endorse or promote products derived from           **
 **   this software without specific prior written permission.                       **
 **                                                                                  **
 **   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS            **
 **   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT              **
 **   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS              **
 **   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT       **
 **   OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,          **
 **   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED       **
 **   TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,            **
 **   OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY         **
 **   OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING        **
 **   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,   **
 **   EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                             **
 **                                                                                  **
 **************************************************************************************/


#ifndef FENENTREETEXTE_HPP
#define FENENTREETEXTE_HPP

#include <QGridLayout>
#include <QProcess>

#include "ui_FenEntreeTexte.h"

class FenEntreeTexte : public QMainWindow, private Ui::FenEntreeTexte
{
    Q_OBJECT

    public:

      explicit FenEntreeTexte();
      ~FenEntreeTexte();
      static QString ajouterGuillemets(QString chemin);

    private slots:

      void on_m_moon_triggered();
      void on_m_red_triggered();
      void on_m_modeEmploi_triggered();
      void on_m_aPropos_triggered();
      void on_m_misesAJour_triggered();

      void on_m_personnaliser_clicked();
      void on_m_frLeet_released();
      void on_m_leetFr_released();
      void on_m_texte_selectionChanged();
      void on_m_traduire_clicked();

    private:

      QLineEdit **m_alphabet;
      bool m_modifie;
      bool m_effacer;
      bool m_supprAlphabet;
};

#endif // FENENTREETEXTE_HPP














